package com.mvc.dao;

import com.mvc.entity.TAicbqCfg;
import com.mvc.entity.TAicbqCfgExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TAicbqCfgMapper {
    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 10:04:20
     */
    long countByExample(TAicbqCfgExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 10:04:20
     */
    int deleteByExample(TAicbqCfgExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 10:04:20
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 10:04:20
     */
    int insert(TAicbqCfg record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 10:04:20
     */
    int insertSelective(TAicbqCfg record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 10:04:20
     */
    List<TAicbqCfg> selectByExample(TAicbqCfgExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 10:04:20
     */
    TAicbqCfg selectByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 10:04:20
     */
    int updateByExampleSelective(@Param("record") TAicbqCfg record, @Param("example") TAicbqCfgExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 10:04:20
     */
    int updateByExample(@Param("record") TAicbqCfg record, @Param("example") TAicbqCfgExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 10:04:20
     */
    int updateByPrimaryKeySelective(TAicbqCfg record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 10:04:20
     */
    int updateByPrimaryKey(TAicbqCfg record);
}